Commits

Evgeny Podjachev  committed 198875f

Added FastFileSelector.

  • Participants
  • Parent commits 996e069

Comments (0)

Files changed (105)

File .vim/bundle/fastfileselector/.git/HEAD

+ref: refs/heads/master

File .vim/bundle/fastfileselector/.git/config

+[core]
+	repositoryformatversion = 0
+	filemode = false
+	bare = false
+	logallrefupdates = true
+	symlinks = false
+	ignorecase = true
+	hideDotFiles = dotGitOnly
+[remote "origin"]
+	fetch = +refs/heads/*:refs/remotes/origin/*
+	url = https://bitbucket.org/madevgeny/fastfileselector.git
+[branch "master"]
+	remote = origin
+	merge = refs/heads/master

File .vim/bundle/fastfileselector/.git/description

+Unnamed repository; edit this file 'description' to name the repository.

File .vim/bundle/fastfileselector/.git/hooks/applypatch-msg.sample

+#!/bin/sh
+#
+# An example hook script to check the commit log message taken by
+# applypatch from an e-mail message.
+#
+# The hook should exit with non-zero status after issuing an
+# appropriate message if it wants to stop the commit.  The hook is
+# allowed to edit the commit message file.
+#
+# To enable this hook, rename this file to "applypatch-msg".
+
+. git-sh-setup
+test -x "$GIT_DIR/hooks/commit-msg" &&
+	exec "$GIT_DIR/hooks/commit-msg" ${1+"$@"}
+:

File .vim/bundle/fastfileselector/.git/hooks/commit-msg.sample

+#!/bin/sh
+#
+# An example hook script to check the commit log message.
+# Called by "git commit" with one argument, the name of the file
+# that has the commit message.  The hook should exit with non-zero
+# status after issuing an appropriate message if it wants to stop the
+# commit.  The hook is allowed to edit the commit message file.
+#
+# To enable this hook, rename this file to "commit-msg".
+
+# Uncomment the below to add a Signed-off-by line to the message.
+# Doing this in a hook is a bad idea in general, but the prepare-commit-msg
+# hook is more suited to it.
+#
+# SOB=$(git var GIT_AUTHOR_IDENT | sed -n 's/^\(.*>\).*$/Signed-off-by: \1/p')
+# grep -qs "^$SOB" "$1" || echo "$SOB" >> "$1"
+
+# This example catches duplicate Signed-off-by lines.
+
+test "" = "$(grep '^Signed-off-by: ' "$1" |
+	 sort | uniq -c | sed -e '/^[ 	]*1[ 	]/d')" || {
+	echo >&2 Duplicate Signed-off-by lines.
+	exit 1
+}

File .vim/bundle/fastfileselector/.git/hooks/post-commit.sample

+#!/bin/sh
+#
+# An example hook script that is called after a successful
+# commit is made.
+#
+# To enable this hook, rename this file to "post-commit".
+
+: Nothing

File .vim/bundle/fastfileselector/.git/hooks/post-receive.sample

+#!/bin/sh
+#
+# An example hook script for the "post-receive" event.
+#
+# The "post-receive" script is run after receive-pack has accepted a pack
+# and the repository has been updated.  It is passed arguments in through
+# stdin in the form
+#  <oldrev> <newrev> <refname>
+# For example:
+#  aa453216d1b3e49e7f6f98441fa56946ddcd6a20 68f7abf4e6f922807889f52bc043ecd31b79f814 refs/heads/master
+#
+# see contrib/hooks/ for a sample, or uncomment the next line and
+# rename the file to "post-receive".
+
+#. /usr/share/doc/git-core/contrib/hooks/post-receive-email

File .vim/bundle/fastfileselector/.git/hooks/post-update.sample

+#!/bin/sh
+#
+# An example hook script to prepare a packed repository for use over
+# dumb transports.
+#
+# To enable this hook, rename this file to "post-update".
+
+exec git update-server-info

File .vim/bundle/fastfileselector/.git/hooks/pre-applypatch.sample

+#!/bin/sh
+#
+# An example hook script to verify what is about to be committed
+# by applypatch from an e-mail message.
+#
+# The hook should exit with non-zero status after issuing an
+# appropriate message if it wants to stop the commit.
+#
+# To enable this hook, rename this file to "pre-applypatch".
+
+. git-sh-setup
+test -x "$GIT_DIR/hooks/pre-commit" &&
+	exec "$GIT_DIR/hooks/pre-commit" ${1+"$@"}
+:

File .vim/bundle/fastfileselector/.git/hooks/pre-commit.sample

+#!/bin/sh
+#
+# An example hook script to verify what is about to be committed.
+# Called by "git commit" with no arguments.  The hook should
+# exit with non-zero status after issuing an appropriate message if
+# it wants to stop the commit.
+#
+# To enable this hook, rename this file to "pre-commit".
+
+if git rev-parse --verify HEAD >/dev/null 2>&1
+then
+	against=HEAD
+else
+	# Initial commit: diff against an empty tree object
+	against=4b825dc642cb6eb9a060e54bf8d69288fbee4904
+fi
+
+# If you want to allow non-ascii filenames set this variable to true.
+allownonascii=$(git config hooks.allownonascii)
+
+# Redirect output to stderr.
+exec 1>&2
+
+# Cross platform projects tend to avoid non-ascii filenames; prevent
+# them from being added to the repository. We exploit the fact that the
+# printable range starts at the space character and ends with tilde.
+if [ "$allownonascii" != "true" ] &&
+	# Note that the use of brackets around a tr range is ok here, (it's
+	# even required, for portability to Solaris 10's /usr/bin/tr), since
+	# the square bracket bytes happen to fall in the designated range.
+	test $(git diff --cached --name-only --diff-filter=A -z $against |
+	  LC_ALL=C tr -d '[ -~]\0' | wc -c) != 0
+then
+	echo "Error: Attempt to add a non-ascii file name."
+	echo
+	echo "This can cause problems if you want to work"
+	echo "with people on other platforms."
+	echo
+	echo "To be portable it is advisable to rename the file ..."
+	echo
+	echo "If you know what you are doing you can disable this"
+	echo "check using:"
+	echo
+	echo "  git config hooks.allownonascii true"
+	echo
+	exit 1
+fi
+
+# If there are whitespace errors, print the offending file names and fail.
+exec git diff-index --check --cached $against --

File .vim/bundle/fastfileselector/.git/hooks/pre-rebase.sample

+#!/bin/sh
+#
+# Copyright (c) 2006, 2008 Junio C Hamano
+#
+# The "pre-rebase" hook is run just before "git rebase" starts doing
+# its job, and can prevent the command from running by exiting with
+# non-zero status.
+#
+# The hook is called with the following parameters:
+#
+# $1 -- the upstream the series was forked from.
+# $2 -- the branch being rebased (or empty when rebasing the current branch).
+#
+# This sample shows how to prevent topic branches that are already
+# merged to 'next' branch from getting rebased, because allowing it
+# would result in rebasing already published history.
+
+publish=next
+basebranch="$1"
+if test "$#" = 2
+then
+	topic="refs/heads/$2"
+else
+	topic=`git symbolic-ref HEAD` ||
+	exit 0 ;# we do not interrupt rebasing detached HEAD
+fi
+
+case "$topic" in
+refs/heads/??/*)
+	;;
+*)
+	exit 0 ;# we do not interrupt others.
+	;;
+esac
+
+# Now we are dealing with a topic branch being rebased
+# on top of master.  Is it OK to rebase it?
+
+# Does the topic really exist?
+git show-ref -q "$topic" || {
+	echo >&2 "No such branch $topic"
+	exit 1
+}
+
+# Is topic fully merged to master?
+not_in_master=`git rev-list --pretty=oneline ^master "$topic"`
+if test -z "$not_in_master"
+then
+	echo >&2 "$topic is fully merged to master; better remove it."
+	exit 1 ;# we could allow it, but there is no point.
+fi
+
+# Is topic ever merged to next?  If so you should not be rebasing it.
+only_next_1=`git rev-list ^master "^$topic" ${publish} | sort`
+only_next_2=`git rev-list ^master           ${publish} | sort`
+if test "$only_next_1" = "$only_next_2"
+then
+	not_in_topic=`git rev-list "^$topic" master`
+	if test -z "$not_in_topic"
+	then
+		echo >&2 "$topic is already up-to-date with master"
+		exit 1 ;# we could allow it, but there is no point.
+	else
+		exit 0
+	fi
+else
+	not_in_next=`git rev-list --pretty=oneline ^${publish} "$topic"`
+	/usr/bin/perl -e '
+		my $topic = $ARGV[0];
+		my $msg = "* $topic has commits already merged to public branch:\n";
+		my (%not_in_next) = map {
+			/^([0-9a-f]+) /;
+			($1 => 1);
+		} split(/\n/, $ARGV[1]);
+		for my $elem (map {
+				/^([0-9a-f]+) (.*)$/;
+				[$1 => $2];
+			} split(/\n/, $ARGV[2])) {
+			if (!exists $not_in_next{$elem->[0]}) {
+				if ($msg) {
+					print STDERR $msg;
+					undef $msg;
+				}
+				print STDERR " $elem->[1]\n";
+			}
+		}
+	' "$topic" "$not_in_next" "$not_in_master"
+	exit 1
+fi
+
+exit 0
+
+################################################################
+
+This sample hook safeguards topic branches that have been
+published from being rewound.
+
+The workflow assumed here is:
+
+ * Once a topic branch forks from "master", "master" is never
+   merged into it again (either directly or indirectly).
+
+ * Once a topic branch is fully cooked and merged into "master",
+   it is deleted.  If you need to build on top of it to correct
+   earlier mistakes, a new topic branch is created by forking at
+   the tip of the "master".  This is not strictly necessary, but
+   it makes it easier to keep your history simple.
+
+ * Whenever you need to test or publish your changes to topic
+   branches, merge them into "next" branch.
+
+The script, being an example, hardcodes the publish branch name
+to be "next", but it is trivial to make it configurable via
+$GIT_DIR/config mechanism.
+
+With this workflow, you would want to know:
+
+(1) ... if a topic branch has ever been merged to "next".  Young
+    topic branches can have stupid mistakes you would rather
+    clean up before publishing, and things that have not been
+    merged into other branches can be easily rebased without
+    affecting other people.  But once it is published, you would
+    not want to rewind it.
+
+(2) ... if a topic branch has been fully merged to "master".
+    Then you can delete it.  More importantly, you should not
+    build on top of it -- other people may already want to
+    change things related to the topic as patches against your
+    "master", so if you need further changes, it is better to
+    fork the topic (perhaps with the same name) afresh from the
+    tip of "master".
+
+Let's look at this example:
+
+		   o---o---o---o---o---o---o---o---o---o "next"
+		  /       /           /           /
+		 /   a---a---b A     /           /
+		/   /               /           /
+	       /   /   c---c---c---c B         /
+	      /   /   /             \         /
+	     /   /   /   b---b C     \       /
+	    /   /   /   /             \     /
+    ---o---o---o---o---o---o---o---o---o---o---o "master"
+
+
+A, B and C are topic branches.
+
+ * A has one fix since it was merged up to "next".
+
+ * B has finished.  It has been fully merged up to "master" and "next",
+   and is ready to be deleted.
+
+ * C has not merged to "next" at all.
+
+We would want to allow C to be rebased, refuse A, and encourage
+B to be deleted.
+
+To compute (1):
+
+	git rev-list ^master ^topic next
+	git rev-list ^master        next
+
+	if these match, topic has not merged in next at all.
+
+To compute (2):
+
+	git rev-list master..topic
+
+	if this is empty, it is fully merged to "master".

File .vim/bundle/fastfileselector/.git/hooks/prepare-commit-msg.sample

+#!/bin/sh
+#
+# An example hook script to prepare the commit log message.
+# Called by "git commit" with the name of the file that has the
+# commit message, followed by the description of the commit
+# message's source.  The hook's purpose is to edit the commit
+# message file.  If the hook fails with a non-zero status,
+# the commit is aborted.
+#
+# To enable this hook, rename this file to "prepare-commit-msg".
+
+# This hook includes three examples.  The first comments out the
+# "Conflicts:" part of a merge commit.
+#
+# The second includes the output of "git diff --name-status -r"
+# into the message, just before the "git status" output.  It is
+# commented because it doesn't cope with --amend or with squashed
+# commits.
+#
+# The third example adds a Signed-off-by line to the message, that can
+# still be edited.  This is rarely a good idea.
+
+case "$2,$3" in
+  merge,)
+    /usr/bin/perl -i.bak -ne 's/^/# /, s/^# #/#/ if /^Conflicts/ .. /#/; print' "$1" ;;
+
+# ,|template,)
+#   /usr/bin/perl -i.bak -pe '
+#      print "\n" . `git diff --cached --name-status -r`
+#	 if /^#/ && $first++ == 0' "$1" ;;
+
+  *) ;;
+esac
+
+# SOB=$(git var GIT_AUTHOR_IDENT | sed -n 's/^\(.*>\).*$/Signed-off-by: \1/p')
+# grep -qs "^$SOB" "$1" || echo "$SOB" >> "$1"

File .vim/bundle/fastfileselector/.git/hooks/update.sample

+#!/bin/sh
+#
+# An example hook script to blocks unannotated tags from entering.
+# Called by "git receive-pack" with arguments: refname sha1-old sha1-new
+#
+# To enable this hook, rename this file to "update".
+#
+# Config
+# ------
+# hooks.allowunannotated
+#   This boolean sets whether unannotated tags will be allowed into the
+#   repository.  By default they won't be.
+# hooks.allowdeletetag
+#   This boolean sets whether deleting tags will be allowed in the
+#   repository.  By default they won't be.
+# hooks.allowmodifytag
+#   This boolean sets whether a tag may be modified after creation. By default
+#   it won't be.
+# hooks.allowdeletebranch
+#   This boolean sets whether deleting branches will be allowed in the
+#   repository.  By default they won't be.
+# hooks.denycreatebranch
+#   This boolean sets whether remotely creating branches will be denied
+#   in the repository.  By default this is allowed.
+#
+
+# --- Command line
+refname="$1"
+oldrev="$2"
+newrev="$3"
+
+# --- Safety check
+if [ -z "$GIT_DIR" ]; then
+	echo "Don't run this script from the command line." >&2
+	echo " (if you want, you could supply GIT_DIR then run" >&2
+	echo "  $0 <ref> <oldrev> <newrev>)" >&2
+	exit 1
+fi
+
+if [ -z "$refname" -o -z "$oldrev" -o -z "$newrev" ]; then
+	echo "Usage: $0 <ref> <oldrev> <newrev>" >&2
+	exit 1
+fi
+
+# --- Config
+allowunannotated=$(git config --bool hooks.allowunannotated)
+allowdeletebranch=$(git config --bool hooks.allowdeletebranch)
+denycreatebranch=$(git config --bool hooks.denycreatebranch)
+allowdeletetag=$(git config --bool hooks.allowdeletetag)
+allowmodifytag=$(git config --bool hooks.allowmodifytag)
+
+# check for no description
+projectdesc=$(sed -e '1q' "$GIT_DIR/description")
+case "$projectdesc" in
+"Unnamed repository"* | "")
+	echo "*** Project description file hasn't been set" >&2
+	exit 1
+	;;
+esac
+
+# --- Check types
+# if $newrev is 0000...0000, it's a commit to delete a ref.
+zero="0000000000000000000000000000000000000000"
+if [ "$newrev" = "$zero" ]; then
+	newrev_type=delete
+else
+	newrev_type=$(git cat-file -t $newrev)
+fi
+
+case "$refname","$newrev_type" in
+	refs/tags/*,commit)
+		# un-annotated tag
+		short_refname=${refname##refs/tags/}
+		if [ "$allowunannotated" != "true" ]; then
+			echo "*** The un-annotated tag, $short_refname, is not allowed in this repository" >&2
+			echo "*** Use 'git tag [ -a | -s ]' for tags you want to propagate." >&2
+			exit 1
+		fi
+		;;
+	refs/tags/*,delete)
+		# delete tag
+		if [ "$allowdeletetag" != "true" ]; then
+			echo "*** Deleting a tag is not allowed in this repository" >&2
+			exit 1
+		fi
+		;;
+	refs/tags/*,tag)
+		# annotated tag
+		if [ "$allowmodifytag" != "true" ] && git rev-parse $refname > /dev/null 2>&1
+		then
+			echo "*** Tag '$refname' already exists." >&2
+			echo "*** Modifying a tag is not allowed in this repository." >&2
+			exit 1
+		fi
+		;;
+	refs/heads/*,commit)
+		# branch
+		if [ "$oldrev" = "$zero" -a "$denycreatebranch" = "true" ]; then
+			echo "*** Creating a branch is not allowed in this repository" >&2
+			exit 1
+		fi
+		;;
+	refs/heads/*,delete)
+		# delete branch
+		if [ "$allowdeletebranch" != "true" ]; then
+			echo "*** Deleting a branch is not allowed in this repository" >&2
+			exit 1
+		fi
+		;;
+	refs/remotes/*,commit)
+		# tracking branch
+		;;
+	refs/remotes/*,delete)
+		# delete tracking branch
+		if [ "$allowdeletebranch" != "true" ]; then
+			echo "*** Deleting a tracking branch is not allowed in this repository" >&2
+			exit 1
+		fi
+		;;
+	*)
+		# Anything else (is there anything else?)
+		echo "*** Update hook: unknown type of update to ref $refname of type $newrev_type" >&2
+		exit 1
+		;;
+esac
+
+# --- Finished
+exit 0

File .vim/bundle/fastfileselector/.git/index

Binary file added.

File .vim/bundle/fastfileselector/.git/info/exclude

+# git ls-files --others --exclude-from=.git/info/exclude
+# Lines that start with '#' are comments.
+# For a project mostly in C, the following would be a good set of
+# exclude patterns (uncomment them if you want to use them):
+# *.[oa]
+# *~

File .vim/bundle/fastfileselector/.git/logs/HEAD

+0000000000000000000000000000000000000000 d5222abc59d62ace02132bd026ead443afe99c21 evgeny <evgeny.podjachev@gmail.com> 1342202906 +0400	clone: from https://bitbucket.org/madevgeny/fastfileselector.git

File .vim/bundle/fastfileselector/.git/logs/refs/heads/master

+0000000000000000000000000000000000000000 d5222abc59d62ace02132bd026ead443afe99c21 evgeny <evgeny.podjachev@gmail.com> 1342202906 +0400	clone: from https://bitbucket.org/madevgeny/fastfileselector.git

File .vim/bundle/fastfileselector/.git/logs/refs/remotes/origin/HEAD

+0000000000000000000000000000000000000000 d5222abc59d62ace02132bd026ead443afe99c21 evgeny <evgeny.podjachev@gmail.com> 1342202906 +0400	clone: from https://bitbucket.org/madevgeny/fastfileselector.git

File .vim/bundle/fastfileselector/.git/objects/15/8d6890763eec82e7245345eb45890aa6171683

Binary file added.

File .vim/bundle/fastfileselector/.git/objects/17/1e36c4a28fb7cc63a991f161414dc127017e6e

+x�UMs�6��k^l�شݴ��je�8����1��LN�\�H@��RԦ��
+�E�Uq:NFQ���
+t%M=j��ṛ����ws�
 d���|� 
+Ȳ����

File .vim/bundle/fastfileselector/.git/objects/31/9c188abf409021999291fc50f91b5d9cbb6540

Binary file added.

File .vim/bundle/fastfileselector/.git/objects/33/4d4250327dd1b0fdc7645bdf35305cd6c46ad6

Binary file added.

File .vim/bundle/fastfileselector/.git/objects/39/685ba18d738738a2958b99be17553aeaa54234

Binary file added.

File .vim/bundle/fastfileselector/.git/objects/44/21d394defc4ba5bd69fa5e8a5eb4687c839920

Binary file added.

File .vim/bundle/fastfileselector/.git/objects/59/3bfb7e765bee8f8f2ff39ede793369cb298282

Binary file added.

File .vim/bundle/fastfileselector/.git/objects/5a/cf4f3ca6f2e062ae30c927076da06fb3baa1a2

Binary file added.

File .vim/bundle/fastfileselector/.git/objects/5d/26642052ced54e30879840feab7d1b3ba06a6f

Binary file added.

File .vim/bundle/fastfileselector/.git/objects/64/2b1bc6dc868ee18da13c31e723f9e92683c5e3

Binary file added.

File .vim/bundle/fastfileselector/.git/objects/6b/7a41ffe6a4c30c721b43d9c8a9a573cf1bdfc7

Binary file added.

File .vim/bundle/fastfileselector/.git/objects/70/e14f5ded74d30da71fe07ad8088f415d874ad4

Binary file added.

File .vim/bundle/fastfileselector/.git/objects/71/9da27931ec0a82a7db400c8284ec8ba9b44a8d

+x+)JMU0�`040031QHK,.I��I-N�IM.�/�+��e�UKQ:w�Ϡ}�ÿյ��

File .vim/bundle/fastfileselector/.git/objects/78/2ec42aac339905870fdcf91bba65a7952da5c7

+x��A��0
+SB
+.g�(����K�K�"]�svI2�٩��!fDB�2f����'D�'��*1�

File .vim/bundle/fastfileselector/.git/objects/86/c8e8107bd0a35d420180e39ecfe28d6022ac9d

Binary file added.

File .vim/bundle/fastfileselector/.git/objects/95/956dc3076fc55453f822d5ab152b22494b0b9a

+x��[
+� E��*�/�����.���Qb

File .vim/bundle/fastfileselector/.git/objects/9c/42ea15157ecf9abf17516aa36e9aa709caacd2

Binary file added.

File .vim/bundle/fastfileselector/.git/objects/9e/b2907a44cb1e11ce15ebb82d95b541f32e0a3b

+x��K��0��)z��a�0�Ȧ�n;�d����07�Ճ�*^i�tpO}�,E
+��6ڥv��I	��x�����˔�8R�G-:�XPѫ������o���A�.��y��K[���`��> �M0F

File .vim/bundle/fastfileselector/.git/objects/9f/77a7e9d2f0b3bdfe3b77d86cd4ced9be89fa9d

+x��A
+�0E��)f_3�
+��ݏ�)�HHo_�7�����_�)�
+����:d0t���zoz����$�m�̊?u�de��vR����0���Y���2���:�#Z�O]=���X#�p�i���>�

File .vim/bundle/fastfileselector/.git/objects/a2/332c161b6ad39d0c5af2a46bcfdae60872a03a

Binary file added.

File .vim/bundle/fastfileselector/.git/objects/a7/9ece0d3e9a617628f9a992264461b7abed471d

Binary file added.

File .vim/bundle/fastfileselector/.git/objects/ab/351a4b1c85794366090c4568234e4a78c26aaa

Binary file added.

File .vim/bundle/fastfileselector/.git/objects/ab/9a2002cf601b3c9a4a43234ba6cd371058351a

Binary file added.

File .vim/bundle/fastfileselector/.git/objects/c2/11f016464c92ae08295106bf4bb0611da63e65

+x��K
+�0E;�*2/�I��A)�v/�F-���Bw_�

File .vim/bundle/fastfileselector/.git/objects/cd/f0b70f83982d8d196ba317340b32b4f832a733

Binary file added.

File .vim/bundle/fastfileselector/.git/objects/d5/222abc59d62ace02132bd026ead443afe99c21

+x��A�1E]��h*��M@��

File .vim/bundle/fastfileselector/.git/objects/df/32691a83e342f7d367c14b8f9321d1b6d768c0

Binary file added.

File .vim/bundle/fastfileselector/.git/objects/e0/54ab2e7c0b8424573f8b7285228c81775234e4

Binary file added.

File .vim/bundle/fastfileselector/.git/objects/e0/8746b0acd902c7fd49ebbc5b7598fae1e36e19

Binary file added.

File .vim/bundle/fastfileselector/.git/objects/e3/f33c25150e7b4493879f9d521d76442efe0ca2

Binary file added.

File .vim/bundle/fastfileselector/.git/objects/ea/8bc237255e00e56fc9df3858b8b9ca259159b6

Binary file added.

File .vim/bundle/fastfileselector/.git/objects/ed/4ed5b32921a1cf65db982a33037fc5515c0609

Binary file added.

File .vim/bundle/fastfileselector/.git/objects/fa/8596b96a8420783f1f647c8b7312c72237f950

Binary file added.

File .vim/bundle/fastfileselector/.git/packed-refs

+# pack-refs with: peeled 
+d5222abc59d62ace02132bd026ead443afe99c21 refs/remotes/origin/master

File .vim/bundle/fastfileselector/.git/refs/heads/master

+d5222abc59d62ace02132bd026ead443afe99c21

File .vim/bundle/fastfileselector/.git/refs/remotes/origin/HEAD

+ref: refs/remotes/origin/master

File .vim/bundle/fastfileselector/.gitignore

+.*
+*.bat

File .vim/bundle/fastfileselector/plugin/fastfileselector.vim

+"====================================================================================
+" Author:		Evgeny V. Podjachev <evNgeny.poOdjSacPhev@gAmail.cMom-NOSPAM>
+"
+" License:		This program is free software: you can redistribute it and/or modify
+"				it under the terms of the GNU General Public License as published by
+"				the Free Software Foundation, either version 3 of the License, or
+"				any later version.
+"				
+"				This program is distributed in the hope that it will be useful,
+"				but WITHOUT ANY WARRANTY; without even the implied warranty of
+"				MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+"				GNU General Public License for more details
+"				(http://www.gnu.org/copyleft/gpl.txt).
+"
+" Description:	
+"
+" Installation:	Just drop this file in your plugin directory.
+"
+" Usage:		Command :FFS toggles visibility of fast file selector buffer.
+" 				Parameter g:FFS_window_height sets height of search buffer. Default = 15.
+" 				Parameter g:FFS_ignore_list sets list of dirs/files to ignore use Unix shell-style wildcards. Default = ['.*', '*.obj', '*.pdb', '*.res', '*.dll', '*.idb', '*.exe', '*.lib', '*.so'].
+"				Parameter g:FFS_ignore_case, if set letters case will be ignored during search. On windows default = 1, on unix default = 0.
+"
+" Version:		0.0.1
+"
+" ChangeLog:	0.0.1:	 Initial version.
+"====================================================================================
+
+if exists( "g:loaded_FAST_FILE_SELECTOR" )
+	finish
+endif
+
+let g:loaded_FAST_FILE_SELECTOR = 1
+
+" Check to make sure the Vim version 700 or greater.
+if v:version < 700
+  echo "Sorry, FastFileSelector only runs with Vim 7.0 and greater"
+  finish
+endif
+
+if !has('python')
+    echo "Error: Required vim compiled with +python"
+    finish
+endif
+
+if !exists("g:FFS_window_height")
+	let g:FFS_window_height = 15
+endif
+
+if !exists("g:FFS_ignore_case")
+	if has('win32') || has('win64')
+		let g:FFS_ignore_case = 1
+	else
+		let g:FFS_ignore_case = 0
+	endif
+endif
+
+if !exists("g:FFS_ignore_list")
+	let g:FFS_ignore_list = ['.*', '*.obj', '*.pdb', '*.res', '*.dll', '*.idb', '*.exe', '*.lib', '*.so']
+endif
+
+if !exists("s:file_list")
+	let s:file_list = []
+endif
+
+if !exists("s:filtered_file_list")
+	let s:filtered_file_list = s:file_list
+endif
+
+if !exists("s:user_line")
+	let s:user_line = ''
+endif
+
+command! -bang FFS :call <SID>ToggleFastFileSelectorBuffer()
+
+fun <SID>GenFileList()
+python << EOF
+
+from os import walk, getcwd
+from os.path import join, isfile, abspath, split
+from fnmatch import fnmatch
+
+import vim
+
+if vim.eval("g:FFS_ignore_case"):
+	caseMod = lambda x: x.lower()
+else:
+	caseMod = lambda x: x
+
+def find_tags(path):
+	p = abspath(path)
+
+	# need to remove last / for right splitting
+	if p[-1] == '/' or p[-1] == '\\':
+		p = path[:-1]
+	
+	while not isfile(join(p, 'tags')):
+		p = split(p)[0]
+		if p == '':
+			return None
+
+	return p
+
+def scan_dir(path, ignoreList):
+	def in_ignore_list(f):
+		for i in ignoreList:
+			if fnmatch(caseMod(f), caseMod(i)):
+				return True
+
+		return False
+
+	fileList = []
+	for root, dirs, files in walk(path):
+		fileList += [join(root, f) for f in filter(lambda x: not in_ignore_list(x), files)]
+
+		for j in dirs:
+			if in_ignore_list(j):
+				dirs.remove(j)
+
+	return fileList
+
+wd = getcwd()
+path = find_tags(wd)
+if path == None:
+	fileList = scan_dir(wd, vim.eval("g:FFS_ignore_list"))
+else:
+	fileList = scan_dir(path, vim.eval("g:FFS_ignore_list"))
+
+if len(fileList) != 0:
+	vim.command("let s:file_list = ['%s']" % "','".join(fileList))
+else:
+	vim.command("let s:file_list = []")
+EOF
+let s:filtered_file_list = s:file_list
+endfun
+
+fun <SID>OnRefresh()
+	autocmd! CursorMovedI <buffer>
+	setlocal nocul
+	setlocal ma
+
+	" clear buffer
+	exe 'normal ggdG'
+
+	cal append(0,s:user_line)
+	exe 'normal dd$'
+	cal append(1,s:filtered_file_list)
+	autocmd CursorMovedI <buffer> call <SID>OnCursorMovedI()
+endfun
+
+fun <SID>OnCursorMoved()
+	let l = getpos(".")[1]
+	if l > 1
+		setlocal cul
+		setlocal noma
+	else
+		setlocal nocul
+		setlocal ma
+	endif
+endfun
+
+fun <SID>OnCursorMovedI()
+	let l = getpos(".")[1]
+	if l > 1
+		setlocal cul
+		setlocal noma
+	else
+		setlocal nocul
+		setlocal ma
+
+		let str=getline('.')
+		if s:user_line!=str
+			let save_cursor = winsaveview()
+python << EOF
+import vim
+import operator
+
+def longest_substring_size(str1, str2):
+	n1 = len(str1)
+	n2 = len(str2)
+
+	L = [0] * n1 * n2
+
+	res = 0
+	for i in range(n1):
+		for j in range(n2):
+			if str1[i] == str2[j]:
+				ind = i * n2 + j
+				if i == 0 or j == 0:
+					L[ind] = 1
+				else:
+					L[ind] = L[(i - 1) * n2 + (j - 1)] + 1
+				if L[ind] > res:
+					res = L[ind]
+	return res
+
+def check_symbols(s, symbols):
+	res = 0
+	for i in symbols:
+		if s.find(i) == -1:
+			return res
+
+	res -= 1
+
+	res -= (longest_substring_size(s, symbols) - 1)
+
+	return res
+
+if vim.eval("g:FFS_ignore_case"):
+	caseMod = lambda x: x.lower()
+else:
+	caseMod = lambda x: x
+
+symbols = caseMod(vim.eval('str'))
+if len(symbols) != 0:
+	fileList = map(lambda x: (check_symbols(caseMod(x), symbols), x), vim.eval('s:file_list'))
+	fileList = filter(lambda x: x[0] != 0, fileList)
+	fileList.sort(key=operator.itemgetter(0))
+
+	if len(fileList) != 0:
+		vim.command("let s:filtered_file_list = ['%s']" % "','".join(map(lambda x: x[1], fileList)))
+	else:
+		vim.command("let s:filtered_file_list = []")
+else:
+	vim.command("let s:filtered_file_list = s:file_list")
+EOF
+			let s:user_line=str
+			call <SID>OnRefresh()
+			cal winrestview(save_cursor)
+		endif
+	endif
+endfun
+
+fun <SID>GotoFile()
+	if !len(s:filtered_file_list) || line('.') == 1
+		return
+	endif
+	
+	let str=getline('.')
+
+	exe ':wincmd p'
+	exe ':'.s:tm_winnr.'bd!'
+	let s:tm_winnr=-1
+	exe ':e '.str
+	" Without it you should press Enter once again some times.
+	exe 'normal Q'
+endfun
+
+fun! <SID>ToggleFastFileSelectorBuffer()
+	if !exists("s:tm_winnr") || s:tm_winnr==-1
+		exe "bo".g:FFS_window_height."sp FastFileSelector"
+
+		exe "inoremap <expr> <buffer> <Enter> pumvisible() ? '<CR><C-O>:cal <SID>GotoFile()<CR>' : '<C-O>:cal <SID>GotoFile()<CR>'"
+		exe "noremap <silent> <buffer> <Enter> :cal <SID>GotoFile()<CR>"
+
+		let s:tm_winnr=bufnr("FastFileSelector")
+		
+		setlocal buftype=nofile
+		setlocal noswapfile
+
+		if !exists("s:first_time")
+			let s:user_line=''
+			let s:first_time=1
+
+			autocmd BufUnload <buffer> exe 'let s:tm_winnr=-1'
+			autocmd CursorMoved <buffer> call <SID>OnCursorMoved()
+			autocmd CursorMovedI <buffer> call <SID>OnCursorMovedI()
+			autocmd VimResized <buffer> call <SID>OnRefresh()
+			autocmd BufEnter <buffer> call <SID>OnRefresh()
+		endif
+		
+		cal <SID>GenFileList()
+		cal <SID>OnRefresh()
+	else
+		exe ':wincmd p'
+		exe ':'.s:tm_winnr.'bd!'
+		let s:tm_winnr=-1
+	endif
+endfun

File .vim/bundle/tag_manager/.git/HEAD

-ref: refs/heads/master

File .vim/bundle/tag_manager/.git/config

-[core]
-	repositoryformatversion = 0
-	filemode = false
-	bare = false
-	logallrefupdates = true
-	symlinks = false
-	ignorecase = true
-	hideDotFiles = dotGitOnly
-[remote "origin"]
-	fetch = +refs/heads/*:refs/remotes/origin/*
-	url = https://bitbucket.org/madevgeny/tag_manager.git
-[branch "master"]
-	remote = origin
-	merge = refs/heads/master

File .vim/bundle/tag_manager/.git/description

-Unnamed repository; edit this file 'description' to name the repository.

File .vim/bundle/tag_manager/.git/hooks/applypatch-msg.sample

-#!/bin/sh
-#
-# An example hook script to check the commit log message taken by
-# applypatch from an e-mail message.
-#
-# The hook should exit with non-zero status after issuing an
-# appropriate message if it wants to stop the commit.  The hook is
-# allowed to edit the commit message file.
-#
-# To enable this hook, rename this file to "applypatch-msg".
-
-. git-sh-setup
-test -x "$GIT_DIR/hooks/commit-msg" &&
-	exec "$GIT_DIR/hooks/commit-msg" ${1+"$@"}
-:

File .vim/bundle/tag_manager/.git/hooks/commit-msg.sample

-#!/bin/sh
-#
-# An example hook script to check the commit log message.
-# Called by "git commit" with one argument, the name of the file
-# that has the commit message.  The hook should exit with non-zero
-# status after issuing an appropriate message if it wants to stop the
-# commit.  The hook is allowed to edit the commit message file.
-#
-# To enable this hook, rename this file to "commit-msg".
-
-# Uncomment the below to add a Signed-off-by line to the message.
-# Doing this in a hook is a bad idea in general, but the prepare-commit-msg
-# hook is more suited to it.
-#
-# SOB=$(git var GIT_AUTHOR_IDENT | sed -n 's/^\(.*>\).*$/Signed-off-by: \1/p')
-# grep -qs "^$SOB" "$1" || echo "$SOB" >> "$1"
-
-# This example catches duplicate Signed-off-by lines.
-
-test "" = "$(grep '^Signed-off-by: ' "$1" |
-	 sort | uniq -c | sed -e '/^[ 	]*1[ 	]/d')" || {
-	echo >&2 Duplicate Signed-off-by lines.
-	exit 1
-}

File .vim/bundle/tag_manager/.git/hooks/post-commit.sample

-#!/bin/sh
-#
-# An example hook script that is called after a successful
-# commit is made.
-#
-# To enable this hook, rename this file to "post-commit".
-
-: Nothing

File .vim/bundle/tag_manager/.git/hooks/post-receive.sample

-#!/bin/sh
-#
-# An example hook script for the "post-receive" event.
-#
-# The "post-receive" script is run after receive-pack has accepted a pack
-# and the repository has been updated.  It is passed arguments in through
-# stdin in the form
-#  <oldrev> <newrev> <refname>
-# For example:
-#  aa453216d1b3e49e7f6f98441fa56946ddcd6a20 68f7abf4e6f922807889f52bc043ecd31b79f814 refs/heads/master
-#
-# see contrib/hooks/ for a sample, or uncomment the next line and
-# rename the file to "post-receive".
-
-#. /usr/share/doc/git-core/contrib/hooks/post-receive-email

File .vim/bundle/tag_manager/.git/hooks/post-update.sample

-#!/bin/sh
-#
-# An example hook script to prepare a packed repository for use over
-# dumb transports.
-#
-# To enable this hook, rename this file to "post-update".
-
-exec git update-server-info

File .vim/bundle/tag_manager/.git/hooks/pre-applypatch.sample

-#!/bin/sh
-#
-# An example hook script to verify what is about to be committed
-# by applypatch from an e-mail message.
-#
-# The hook should exit with non-zero status after issuing an
-# appropriate message if it wants to stop the commit.
-#
-# To enable this hook, rename this file to "pre-applypatch".
-
-. git-sh-setup
-test -x "$GIT_DIR/hooks/pre-commit" &&
-	exec "$GIT_DIR/hooks/pre-commit" ${1+"$@"}
-:

File .vim/bundle/tag_manager/.git/hooks/pre-commit.sample

-#!/bin/sh
-#
-# An example hook script to verify what is about to be committed.
-# Called by "git commit" with no arguments.  The hook should
-# exit with non-zero status after issuing an appropriate message if
-# it wants to stop the commit.
-#
-# To enable this hook, rename this file to "pre-commit".
-
-if git rev-parse --verify HEAD >/dev/null 2>&1
-then
-	against=HEAD
-else
-	# Initial commit: diff against an empty tree object
-	against=4b825dc642cb6eb9a060e54bf8d69288fbee4904
-fi
-
-# If you want to allow non-ascii filenames set this variable to true.
-allownonascii=$(git config hooks.allownonascii)
-
-# Redirect output to stderr.
-exec 1>&2
-
-# Cross platform projects tend to avoid non-ascii filenames; prevent
-# them from being added to the repository. We exploit the fact that the
-# printable range starts at the space character and ends with tilde.
-if [ "$allownonascii" != "true" ] &&
-	# Note that the use of brackets around a tr range is ok here, (it's
-	# even required, for portability to Solaris 10's /usr/bin/tr), since
-	# the square bracket bytes happen to fall in the designated range.
-	test $(git diff --cached --name-only --diff-filter=A -z $against |
-	  LC_ALL=C tr -d '[ -~]\0' | wc -c) != 0
-then
-	echo "Error: Attempt to add a non-ascii file name."
-	echo
-	echo "This can cause problems if you want to work"
-	echo "with people on other platforms."
-	echo
-	echo "To be portable it is advisable to rename the file ..."
-	echo
-	echo "If you know what you are doing you can disable this"
-	echo "check using:"
-	echo
-	echo "  git config hooks.allownonascii true"
-	echo
-	exit 1
-fi
-
-# If there are whitespace errors, print the offending file names and fail.
-exec git diff-index --check --cached $against --

File .vim/bundle/tag_manager/.git/hooks/pre-rebase.sample

-#!/bin/sh
-#
-# Copyright (c) 2006, 2008 Junio C Hamano
-#
-# The "pre-rebase" hook is run just before "git rebase" starts doing
-# its job, and can prevent the command from running by exiting with
-# non-zero status.
-#
-# The hook is called with the following parameters:
-#
-# $1 -- the upstream the series was forked from.
-# $2 -- the branch being rebased (or empty when rebasing the current branch).
-#
-# This sample shows how to prevent topic branches that are already
-# merged to 'next' branch from getting rebased, because allowing it
-# would result in rebasing already published history.
-
-publish=next
-basebranch="$1"
-if test "$#" = 2
-then
-	topic="refs/heads/$2"
-else
-	topic=`git symbolic-ref HEAD` ||
-	exit 0 ;# we do not interrupt rebasing detached HEAD
-fi
-
-case "$topic" in
-refs/heads/??/*)
-	;;
-*)
-	exit 0 ;# we do not interrupt others.
-	;;
-esac
-
-# Now we are dealing with a topic branch being rebased
-# on top of master.  Is it OK to rebase it?
-
-# Does the topic really exist?
-git show-ref -q "$topic" || {
-	echo >&2 "No such branch $topic"
-	exit 1
-}
-
-# Is topic fully merged to master?
-not_in_master=`git rev-list --pretty=oneline ^master "$topic"`
-if test -z "$not_in_master"
-then
-	echo >&2 "$topic is fully merged to master; better remove it."
-	exit 1 ;# we could allow it, but there is no point.
-fi
-
-# Is topic ever merged to next?  If so you should not be rebasing it.
-only_next_1=`git rev-list ^master "^$topic" ${publish} | sort`
-only_next_2=`git rev-list ^master           ${publish} | sort`
-if test "$only_next_1" = "$only_next_2"
-then
-	not_in_topic=`git rev-list "^$topic" master`
-	if test -z "$not_in_topic"
-	then
-		echo >&2 "$topic is already up-to-date with master"
-		exit 1 ;# we could allow it, but there is no point.
-	else
-		exit 0
-	fi
-else
-	not_in_next=`git rev-list --pretty=oneline ^${publish} "$topic"`
-	/usr/bin/perl -e '
-		my $topic = $ARGV[0];
-		my $msg = "* $topic has commits already merged to public branch:\n";
-		my (%not_in_next) = map {
-			/^([0-9a-f]+) /;
-			($1 => 1);
-		} split(/\n/, $ARGV[1]);
-		for my $elem (map {
-				/^([0-9a-f]+) (.*)$/;
-				[$1 => $2];
-			} split(/\n/, $ARGV[2])) {
-			if (!exists $not_in_next{$elem->[0]}) {
-				if ($msg) {
-					print STDERR $msg;
-					undef $msg;
-				}
-				print STDERR " $elem->[1]\n";
-			}
-		}
-	' "$topic" "$not_in_next" "$not_in_master"
-	exit 1
-fi
-
-exit 0
-
-################################################################
-
-This sample hook safeguards topic branches that have been
-published from being rewound.
-
-The workflow assumed here is:
-
- * Once a topic branch forks from "master", "master" is never
-   merged into it again (either directly or indirectly).
-
- * Once a topic branch is fully cooked and merged into "master",
-   it is deleted.  If you need to build on top of it to correct
-   earlier mistakes, a new topic branch is created by forking at
-   the tip of the "master".  This is not strictly necessary, but
-   it makes it easier to keep your history simple.
-
- * Whenever you need to test or publish your changes to topic
-   branches, merge them into "next" branch.
-
-The script, being an example, hardcodes the publish branch name
-to be "next", but it is trivial to make it configurable via
-$GIT_DIR/config mechanism.
-
-With this workflow, you would want to know:
-
-(1) ... if a topic branch has ever been merged to "next".  Young
-    topic branches can have stupid mistakes you would rather
-    clean up before publishing, and things that have not been
-    merged into other branches can be easily rebased without
-    affecting other people.  But once it is published, you would
-    not want to rewind it.
-
-(2) ... if a topic branch has been fully merged to "master".
-    Then you can delete it.  More importantly, you should not
-    build on top of it -- other people may already want to
-    change things related to the topic as patches against your
-    "master", so if you need further changes, it is better to
-    fork the topic (perhaps with the same name) afresh from the
-    tip of "master".
-
-Let's look at this example:
-
-		   o---o---o---o---o---o---o---o---o---o "next"
-		  /       /           /           /
-		 /   a---a---b A     /           /
-		/   /               /           /
-	       /   /   c---c---c---c B         /
-	      /   /   /             \         /
-	     /   /   /   b---b C     \       /
-	    /   /   /   /             \     /
-    ---o---o---o---o---o---o---o---o---o---o---o "master"
-
-
-A, B and C are topic branches.
-
- * A has one fix since it was merged up to "next".
-
- * B has finished.  It has been fully merged up to "master" and "next",
-   and is ready to be deleted.
-
- * C has not merged to "next" at all.
-
-We would want to allow C to be rebased, refuse A, and encourage
-B to be deleted.
-
-To compute (1):
-
-	git rev-list ^master ^topic next
-	git rev-list ^master        next
-
-	if these match, topic has not merged in next at all.
-
-To compute (2):
-
-	git rev-list master..topic
-
-	if this is empty, it is fully merged to "master".

File .vim/bundle/tag_manager/.git/hooks/prepare-commit-msg.sample

-#!/bin/sh
-#
-# An example hook script to prepare the commit log message.
-# Called by "git commit" with the name of the file that has the
-# commit message, followed by the description of the commit
-# message's source.  The hook's purpose is to edit the commit
-# message file.  If the hook fails with a non-zero status,
-# the commit is aborted.
-#
-# To enable this hook, rename this file to "prepare-commit-msg".
-
-# This hook includes three examples.  The first comments out the
-# "Conflicts:" part of a merge commit.
-#
-# The second includes the output of "git diff --name-status -r"
-# into the message, just before the "git status" output.  It is
-# commented because it doesn't cope with --amend or with squashed
-# commits.
-#
-# The third example adds a Signed-off-by line to the message, that can
-# still be edited.  This is rarely a good idea.
-
-case "$2,$3" in
-  merge,)
-    /usr/bin/perl -i.bak -ne 's/^/# /, s/^# #/#/ if /^Conflicts/ .. /#/; print' "$1" ;;
-
-# ,|template,)
-#   /usr/bin/perl -i.bak -pe '
-#      print "\n" . `git diff --cached --name-status -r`
-#	 if /^#/ && $first++ == 0' "$1" ;;
-
-  *) ;;
-esac
-
-# SOB=$(git var GIT_AUTHOR_IDENT | sed -n 's/^\(.*>\).*$/Signed-off-by: \1/p')
-# grep -qs "^$SOB" "$1" || echo "$SOB" >> "$1"

File .vim/bundle/tag_manager/.git/hooks/update.sample

-#!/bin/sh
-#
-# An example hook script to blocks unannotated tags from entering.
-# Called by "git receive-pack" with arguments: refname sha1-old sha1-new
-#
-# To enable this hook, rename this file to "update".
-#
-# Config
-# ------
-# hooks.allowunannotated
-#   This boolean sets whether unannotated tags will be allowed into the
-#   repository.  By default they won't be.
-# hooks.allowdeletetag
-#   This boolean sets whether deleting tags will be allowed in the
-#   repository.  By default they won't be.
-# hooks.allowmodifytag
-#   This boolean sets whether a tag may be modified after creation. By default
-#   it won't be.
-# hooks.allowdeletebranch
-#   This boolean sets whether deleting branches will be allowed in the
-#   repository.  By default they won't be.
-# hooks.denycreatebranch
-#   This boolean sets whether remotely creating branches will be denied
-#   in the repository.  By default this is allowed.
-#
-
-# --- Command line
-refname="$1"
-oldrev="$2"
-newrev="$3"
-
-# --- Safety check
-if [ -z "$GIT_DIR" ]; then
-	echo "Don't run this script from the command line." >&2
-	echo " (if you want, you could supply GIT_DIR then run" >&2
-	echo "  $0 <ref> <oldrev> <newrev>)" >&2
-	exit 1
-fi
-
-if [ -z "$refname" -o -z "$oldrev" -o -z "$newrev" ]; then
-	echo "Usage: $0 <ref> <oldrev> <newrev>" >&2
-	exit 1
-fi
-
-# --- Config
-allowunannotated=$(git config --bool hooks.allowunannotated)
-allowdeletebranch=$(git config --bool hooks.allowdeletebranch)
-denycreatebranch=$(git config --bool hooks.denycreatebranch)
-allowdeletetag=$(git config --bool hooks.allowdeletetag)
-allowmodifytag=$(git config --bool hooks.allowmodifytag)
-
-# check for no description
-projectdesc=$(sed -e '1q' "$GIT_DIR/description")
-case "$projectdesc" in
-"Unnamed repository"* | "")
-	echo "*** Project description file hasn't been set" >&2
-	exit 1
-	;;
-esac
-
-# --- Check types
-# if $newrev is 0000...0000, it's a commit to delete a ref.
-zero="0000000000000000000000000000000000000000"
-if [ "$newrev" = "$zero" ]; then
-	newrev_type=delete
-else
-	newrev_type=$(git cat-file -t $newrev)
-fi
-
-case "$refname","$newrev_type" in
-	refs/tags/*,commit)
-		# un-annotated tag
-		short_refname=${refname##refs/tags/}
-		if [ "$allowunannotated" != "true" ]; then
-			echo "*** The un-annotated tag, $short_refname, is not allowed in this repository" >&2
-			echo "*** Use 'git tag [ -a | -s ]' for tags you want to propagate." >&2
-			exit 1
-		fi
-		;;
-	refs/tags/*,delete)
-		# delete tag
-		if [ "$allowdeletetag" != "true" ]; then
-			echo "*** Deleting a tag is not allowed in this repository" >&2
-			exit 1
-		fi
-		;;
-	refs/tags/*,tag)
-		# annotated tag
-		if [ "$allowmodifytag" != "true" ] && git rev-parse $refname > /dev/null 2>&1
-		then
-			echo "*** Tag '$refname' already exists." >&2
-			echo "*** Modifying a tag is not allowed in this repository." >&2
-			exit 1
-		fi
-		;;
-	refs/heads/*,commit)
-		# branch
-		if [ "$oldrev" = "$zero" -a "$denycreatebranch" = "true" ]; then
-			echo "*** Creating a branch is not allowed in this repository" >&2
-			exit 1
-		fi
-		;;
-	refs/heads/*,delete)
-		# delete branch
-		if [ "$allowdeletebranch" != "true" ]; then
-			echo "*** Deleting a branch is not allowed in this repository" >&2
-			exit 1
-		fi
-		;;
-	refs/remotes/*,commit)
-		# tracking branch
-		;;
-	refs/remotes/*,delete)
-		# delete tracking branch
-		if [ "$allowdeletebranch" != "true" ]; then
-			echo "*** Deleting a tracking branch is not allowed in this repository" >&2
-			exit 1
-		fi
-		;;
-	*)
-		# Anything else (is there anything else?)
-		echo "*** Update hook: unknown type of update to ref $refname of type $newrev_type" >&2
-		exit 1
-		;;
-esac
-
-# --- Finished
-exit 0

File .vim/bundle/tag_manager/.git/index

Binary file removed.

File .vim/bundle/tag_manager/.git/info/exclude

-# git ls-files --others --exclude-from=.git/info/exclude
-# Lines that start with '#' are comments.
-# For a project mostly in C, the following would be a good set of
-# exclude patterns (uncomment them if you want to use them):
-# *.[oa]
-# *~

File .vim/bundle/tag_manager/.git/logs/HEAD

-0000000000000000000000000000000000000000 ab9a2002cf601b3c9a4a43234ba6cd371058351a evgeny <evgeny.podjachev@gmail.com> 1341324371 +0400	clone: from https://bitbucket.org/madevgeny/tag_manager.git

File .vim/bundle/tag_manager/.git/logs/refs/heads/master

-0000000000000000000000000000000000000000 ab9a2002cf601b3c9a4a43234ba6cd371058351a evgeny <evgeny.podjachev@gmail.com> 1341324371 +0400	clone: from https://bitbucket.org/madevgeny/tag_manager.git

File .vim/bundle/tag_manager/.git/logs/refs/remotes/origin/HEAD

-0000000000000000000000000000000000000000 ab9a2002cf601b3c9a4a43234ba6cd371058351a evgeny <evgeny.podjachev@gmail.com> 1341324371 +0400	clone: from https://bitbucket.org/madevgeny/tag_manager.git

File .vim/bundle/tag_manager/.git/objects/15/8d6890763eec82e7245345eb45890aa6171683

Binary file removed.

File .vim/bundle/tag_manager/.git/objects/17/1e36c4a28fb7cc63a991f161414dc127017e6e

-x�UMs�6��k^l�شݴ��je�8����1��LN�\�H@��RԦ��
-�E�Uq:NFQ���
-t%M=j��ṛ����ws�
 d���|� 
-Ȳ����

File .vim/bundle/tag_manager/.git/objects/31/9c188abf409021999291fc50f91b5d9cbb6540

Binary file removed.

File .vim/bundle/tag_manager/.git/objects/33/4d4250327dd1b0fdc7645bdf35305cd6c46ad6

Binary file removed.

File .vim/bundle/tag_manager/.git/objects/39/685ba18d738738a2958b99be17553aeaa54234

Binary file removed.

File .vim/bundle/tag_manager/.git/objects/59/3bfb7e765bee8f8f2ff39ede793369cb298282

Binary file removed.

File .vim/bundle/tag_manager/.git/objects/5a/cf4f3ca6f2e062ae30c927076da06fb3baa1a2

Binary file removed.

File .vim/bundle/tag_manager/.git/objects/64/2b1bc6dc868ee18da13c31e723f9e92683c5e3

Binary file removed.

File .vim/bundle/tag_manager/.git/objects/6b/7a41ffe6a4c30c721b43d9c8a9a573cf1bdfc7

Binary file removed.

File .vim/bundle/tag_manager/.git/objects/78/2ec42aac339905870fdcf91bba65a7952da5c7

-x��A��0
-SB
-.g�(����K�K�"]�svI2�٩��!fDB�2f����'D�'��*1�

File .vim/bundle/tag_manager/.git/objects/9c/42ea15157ecf9abf17516aa36e9aa709caacd2

Binary file removed.

File .vim/bundle/tag_manager/.git/objects/9e/b2907a44cb1e11ce15ebb82d95b541f32e0a3b

-x��K��0��)z��a�0�Ȧ�n;�d����07�Ճ�*^i�tpO}�,E
-��6ڥv��I	��x�����˔�8R�G-:�XPѫ������o���A�.��y��K[���`��> �M0F

File .vim/bundle/tag_manager/.git/objects/9f/77a7e9d2f0b3bdfe3b77d86cd4ced9be89fa9d

-x��A
-�0E��)f_3�
-��ݏ�)�HHo_�7�����_�)�
-����:d0t���zoz����$�m�̊?u�de��vR����0���Y���2���:�#Z�O]=���X#�p�i���>�

File .vim/bundle/tag_manager/.git/objects/a2/332c161b6ad39d0c5af2a46bcfdae60872a03a

Binary file removed.

File .vim/bundle/tag_manager/.git/objects/a7/9ece0d3e9a617628f9a992264461b7abed471d

Binary file removed.

File .vim/bundle/tag_manager/.git/objects/ab/351a4b1c85794366090c4568234e4a78c26aaa

Binary file removed.

File .vim/bundle/tag_manager/.git/objects/ab/9a2002cf601b3c9a4a43234ba6cd371058351a

Binary file removed.

File .vim/bundle/tag_manager/.git/objects/c2/11f016464c92ae08295106bf4bb0611da63e65

-x��K
-�0E;�*2/�I��A)�v/�F-���Bw_�

File .vim/bundle/tag_manager/.git/objects/cd/f0b70f83982d8d196ba317340b32b4f832a733

Binary file removed.

File .vim/bundle/tag_manager/.git/objects/df/32691a83e342f7d367c14b8f9321d1b6d768c0

Binary file removed.

File .vim/bundle/tag_manager/.git/objects/e0/54ab2e7c0b8424573f8b7285228c81775234e4

Binary file removed.

File .vim/bundle/tag_manager/.git/objects/e3/f33c25150e7b4493879f9d521d76442efe0ca2

Binary file removed.

File .vim/bundle/tag_manager/.git/objects/ea/8bc237255e00e56fc9df3858b8b9ca259159b6

Binary file removed.

File .vim/bundle/tag_manager/.git/objects/ed/4ed5b32921a1cf65db982a33037fc5515c0609

Binary file removed.

File .vim/bundle/tag_manager/.git/objects/fa/8596b96a8420783f1f647c8b7312c72237f950

Binary file removed.

File .vim/bundle/tag_manager/.git/packed-refs

-# pack-refs with: peeled 
-ab9a2002cf601b3c9a4a43234ba6cd371058351a refs/remotes/origin/master

File .vim/bundle/tag_manager/.git/refs/heads/master

-ab9a2002cf601b3c9a4a43234ba6cd371058351a

File .vim/bundle/tag_manager/.git/refs/remotes/origin/HEAD

-ref: refs/remotes/origin/master

File .vim/bundle/tag_manager/.gitignore

-.*
-*.bat

File .vim/bundle/tag_manager/plugin/tag_manager.vim

-"====================================================================================
-" Author:		Evgeny V. Podjachev <evNgeny.poOdjSacPhev@gAmail.cMom-NOSPAM>
-"
-" License:		This program is free software: you can redistribute it and/or modify
-"				it under the terms of the GNU General Public License as published by
-"				the Free Software Foundation, either version 3 of the License, or
-"				any later version.
-"				
-"				This program is distributed in the hope that it will be useful,
-"				but WITHOUT ANY WARRANTY; without even the implied warranty of
-"				MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-"				GNU General Public License for more details
-"				(http://www.gnu.org/copyleft/gpl.txt).
-"
-" Description:	
-"
-" Installation:	Just drop this file in your plugin directory.
-"
-" Usage:		Command :TAGM toggles visibility of tag manager buffer.
-"				Command :TAGM_RebuildActive rebuilds all loaded tags files.
-"				Command :TAGM_RebuildAll rebuilds all registered tags files.
-"				Command :TAGM toggles visibility of tag manager buffer.
-" 				Parameter g:TAGM_window_height sets height of search buffer. Default = 15.
-" 				Parameter g:TAGM_tags sets height of search buffer. Default = 15.
-"
-" Version:		0.0.1
-"
-" ChangeLog:	0.0.1:	 Started development.
-"====================================================================================
-
-if exists( "g:loaded_TAG_MANAGER" )
-	finish
-endif
-
-let g:loaded_TAG_MANAGER = 1
-
-" Check to make sure the Vim version 700 or greater.
-if v:version < 700
-  echo "Sorry, TagManager only runs with Vim 7.0 and greater"
-  finish
-endif